/**
 * @file led.h
 *
 * @brief This file contains definitons for led functions for the USBlini
 *        firmware project.
 *
 * @author Thomas Fischl (https://www.fischl.de/contact.html)
 * @copyright (c) 2021 Thomas Fischl
 * 
 * This file is part of the USBlini firmware project and is copyrighted by the
 * authors listed above. It is free for private or educational non-commercial use
 * (for a commercial license please contact the authors). It may not be
 * redistributed without the prior written consent of the authors.
 *
 * It is provided "as is" without warranty of any kind, either express or implied,
 * including without limitation any implied warranties of condition, uninterrupted
 * use, merchantability, fitness for a particular purpose, or non-infringement. In
 * no event shall the authors be liable for any direct or indirect damages arising
 * in any way out of the use of it.
 *
 */
#ifndef LED_H
#define	LED_H

#define LED_PIN LATAbits.LATA5

#define LED_FLASHPERIOD 160
#define LED_FLASHTIMEOFF 100

void led_init(void);
void led_flash(void);
inline void led_isr(void);

#endif	/* LED_H */

